The protobuf package voplica.api.payment: 1 service, 8 messages and 1 enum, defined in voplica/api/payment/payment.proto.
The payment service.
Each method is called as POST https://api.voplica.com/voplica.api.payment.PaymentService/<Method> with its request message as JSON and your API key (Authentication); a method marked Anonymous allowed also answers without one. See the JSON API.
No fields.
| Field |
Number |
Type |
Label |
Description |
| tx_id |
1 |
string |
oneof type |
|
| transaction_idempotency_key |
2 |
string |
oneof type |
|
| Field |
Number |
Type |
Label |
Description |
| filters |
1 |
ListOperationTransactionsFilters |
optional |
|
| limit |
2 |
int64 |
|
Max amount of elements per page |
| sort |
3 |
ListOperationTransactionsSorting |
|
How to sort results |
| cursor |
10 |
string |
optional |
to continue pagination use next_token with before_cursor = false to fetch the next page or prev_token with before_cursor = true to fetch the previous page. |
| before |
11 |
bool |
|
Used only with cursor. If false it means fetch data after cursor. If true it means fetch data before cursor. |
| check_more_available |
12 |
bool |
|
Check limit + 1 to know if there is more data available By default is is false. Meaning that more_available flag won’t be returned. In this case, the only way to verify that there is any data available is to fetch the next page. Generally this should not be used for infinite scrolls, but can be used if we have buttons like next, previous. |
| Field |
Number |
Type |
Label |
Description |
| transactions |
1 |
voplica.types.payment.OperationPaymentTransaction |
repeated |
|
| next_token |
2 |
string |
optional |
Token to pass in the next query’s Pagination directive to go to the next page It will be missing if this request didn’t return any data (i.e. no more data available) If it’s missing the last used cursor is essentially the next_token |
| prev_token |
3 |
string |
optional |
Token to pass in the next query’s Pagination directive to go to the previous page It will be missing if this request didn’t return any data (i.e. no more data available) If it’s missing the last used cursor is essentially the prev_token |
| more_available |
4 |
bool |
optional |
Returns if there is more data available (i.e. checks limit + 1). Returned only if check_more_available is set to true |
| Name |
Number |
Description |
| OPERATION_TRANSACTION_SORT_KEY_UNSPECIFIED |
0 |
|
| OPERATION_TRANSACTION_CREATED_AT |
1 |
|